Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class TransitionPolicyImpl

    java.lang.Object
      com.beasys.commerce.foundation.TransitionPolicyImpl

All Implemented Interfaces
  BusinessPolicy, BusinessSmartComponent, TransitionPolicy, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class TransitionPolicyImpl

extends Object
implements TransitionPolicy

An action to be completed when a `Transistion` takes place on a `StateMachine`.

See Also
  `TransitionPolicy`, `TransitionPolicyHome`, Serialized Form

Constructor Summary
`TransitionPolicyImpl()` Deprecated See BEA Commerce product offering

Method Summary
`protected static TransitionPolicy` | `getInstance()` Deprecated See BEA Commerce product offering
`void` | `transition(Transition trans)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransitionPolicyImpl

    public TransitionPolicyImpl()

  Deprecated See BEA Commerce product offering

  This class implements the singleton pattern.

  See Also
    `getInstance()`

Method Detail

### transition

    public void transition(Transition trans)
                    throws RemoteException

  Deprecated See BEA Commerce product offering

  The method that is invoked as the result of a state transition.

  Specified by:
    `transition` in interface `TransitionPolicy`
  Throws
    `RemoteException`

### getInstance

    protected static TransitionPolicy getInstance()

  Deprecated See BEA Commerce product offering

  getInstance returns the singleton instance for this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved